/*--------------------------------------------------------------------*/
// Author: 		F. de la Parra
// Date:		January, 2019
// Description: This class defines (encapsulates) the attributes and
//				behaviours (activities) that characterize a room for
//				assembling people in a public library.
/* -------------------------------------------------------------------*/

// This class will be used as a template (type) to create "objects" of
// type "Room".
public class Room {
	
	// Attributes that will be initialized for each instance of "Room".
	public String idCode;
	public int floor;
	public String roomType;
	public int capacity;
	
	// Attribute that will be updated after object creation
	public boolean occupied = false;

	// Constructor method for class "Room".
	Room(String idCode, int floor, String roomType, int capacity) {
		
		// "this" refers to current object's attributes!
		this.idCode = idCode;
		this.floor = floor;
		this.roomType = roomType;
		this.capacity = capacity;
	}
	
	// This methods returns a text description of the current "Room" object.
	public String describeRoom() {
		String roomDescription = "Stauffer, Room: " + idCode + ", Floor: " + 
		                 floor + ", Type: " + roomType + ", Capacity: " +
						 capacity;
		return roomDescription;
	}

}