/*--------------------------------------------------------------------*/
// Author: 		F. de la Parra
// Description: This program keeps track of the room reservations at a
//				local library (for example: Stauffer Library).
/* -------------------------------------------------------------------*/

public class RoomScheduler {
	Room r1 = new Room("Stauffer-C", 1, "Conference", 50);
	Room r2 = new Room("Stauffer-M", 1, "Multimedia", 10);
	Room r3 = new Room("Stauffer-2A", 2, "Study", 6);
	Room r4 = new Room("Stauffer-2B", 2, "Conference", 8);
	Room r5 = new Room("Stauffer-3G", 3, "Graduate", 15);
	Room r6 = new Room("Stauffer-0B", 0, "Maps", 20);
	
	// Method to display a room's description.
	private void printRoom(Room cRoom) {
		System.out.println(cRoom.describeRoom());
	}
	
	// Method to run a room status change example.
	private void roomStatusExample() {
		// Display a room's status
		if (r1.occupied) 
			System.out.println("\nRoom: " + r1.idCode + " is occupied");
		else
			System.out.println("\nRoom: " + r1.idCode + " is vacant");
		
		// Change a room's status
		System.out.println("Changing room status: " + r1.idCode + "'s status to occupied");
		r1.occupied = true;
		
		// Display the new status for the same room.
		if (r1.occupied) 
			System.out.println("Room: " + r1.idCode + " is occupied");
		else
			System.out.println("Room: " + r1.idCode + " is vacant");
	}
	
	public static void main(String[] args) {
		// Create a "RoomScheduler" program object.
		RoomScheduler programObject = new RoomScheduler();
		
		// Display room descriptions
		programObject.printRoom(programObject.r1);
		programObject.printRoom(programObject.r2);
		programObject.printRoom(programObject.r3);
		programObject.printRoom(programObject.r4);
		programObject.printRoom(programObject.r5);
		programObject.printRoom(programObject.r6);

		// Run a room status change example.
		programObject.roomStatusExample();
	}
}